maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Stolwijk <nick.stolw...@gmail.com>
Subject Re: m2eclipse: when creating a new maven project - it adds J2SE 1.4 instead of JDK 1.6
Date Thu, 12 Nov 2009 13:41:08 GMT
Did you specify that you are using 1.6 in your pom file? The default
is still 1.4.

<project>
  [...]
  <build>
    [...]
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>1.4</source>
          <target>1.4</target>
        </configuration>
      </plugin>
    </plugins>
    [...]
  </build>
  [...]
</project>

Hth,

Nick Stolwijk
~Java Developer~

IPROFS BV.
Claus Sluterweg 125
2012 WS Haarlem
http://www.iprofs.nl



On Thu, Nov 12, 2009 at 2:37 PM, maven apache <apachemaven0@gmail.com> wrote:
> 2009/11/12 eyal edri <eyal.edri@gmail.com>
>
>> HI,
>>
>> i'm creating a new maven project in eclipse using m2eclipse.
>>
>> my default JDK in 1.6.016 in eclipse.
>> for some reason the wizard adds the J2SE 1.4 as the JRE SYSTEM LIBRARY
>> instead of 1.6 JDK.
>>
>> In the build path try to  remove the Jre Libragy and add the jdk1.6 again.
>
>> anyone has an idea how to fix it?
>>
>>
>>
>> --
>> Eyal Edri
>>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message